summaryrefslogtreecommitdiff
path: root/ecp/build.sh
diff options
context:
space:
mode:
authorUros Majstorovic <majstor@majstor.org>2022-02-02 08:14:56 +0100
committerUros Majstorovic <majstor@majstor.org>2022-02-02 08:14:56 +0100
commitd359dd9981f4137e8873a7a571e5c54c5b2449c4 (patch)
treeabfe99bcbce4324c71bd03f68581bdd605d13ec9 /ecp/build.sh
parente215377e5b1440f8ec0842712f2e559e82de2f03 (diff)
linux and freebsd compatibility
Diffstat (limited to 'ecp/build.sh')
-rwxr-xr-xecp/build.sh20
1 files changed, 13 insertions, 7 deletions
diff --git a/ecp/build.sh b/ecp/build.sh
index acb1a14..d28c794 100755
--- a/ecp/build.sh
+++ b/ecp/build.sh
@@ -5,24 +5,30 @@ if [ -z $1 ]; then
else
ARG=$1
fi
+
+
+if [ -z $MAKE ]; then
+ MAKE=make
+fi
+
PLATFORM=posix
cd src/ecp
if [ "$ARG" != "clean" ]; then
- make platform=$PLATFORM clean
+ $MAKE platform=$PLATFORM clean
fi
-make platform=$PLATFORM $ARG || exit
+$MAKE platform=$PLATFORM $ARG || exit
if [ "$ARG" == "all" ]; then
- make platform=$PLATFORM install
+ $MAKE platform=$PLATFORM install
fi
cd ../../util
if [ "$ARG" != "clean" ]; then
- make platform=$PLATFORM clean
+ $MAKE platform=$PLATFORM clean
fi
-make platform=$PLATFORM $ARG || exit
+$MAKE platform=$PLATFORM $ARG || exit
cd ../test
if [ "$ARG" != "clean" ]; then
- make platform=$PLATFORM clean
+ $MAKE platform=$PLATFORM clean
fi
-make platform=$PLATFORM $ARG || exit
+$MAKE platform=$PLATFORM $ARG || exit